%define module_name Text-Password-AutoMigration
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Crypt/Passwd/XS.pm) perl(Crypt/PasswdMD5.pm) perl(Digest/SHA.pm) perl(Module/Build/Tiny.pm) perl(Moose.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.15
Release: alt1
Summary: generate and verify Password with any contexts
Group: Development/Perl
License: perl
URL: https://github.com/worthmine/Text-Password-AutoMigration

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/W/WO/WORTHMINE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Text::Password::AutoMigration is the Module for lasy Administrators.

It always generates the password with SHA512.
 
And verifies automatically the hash with
CORE::crypt, MD5, SHA-1 by hex, SHA-256 and of course SHA-512.

All you have to do are those:
 
1. use this module

2. replace the hashes in your DB periodically.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README.md
%perl_vendor_privlib/T*

%changelog
* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1
- regenerated from template by package builder

* Fri Dec 29 2017 Igor Vlasenko <viy@altlinux.ru> 0.13-alt1
- regenerated from template by package builder

* Thu Nov 16 2017 Igor Vlasenko <viy@altlinux.ru> 0.12-alt1
- regenerated from template by package builder

* Thu Nov 16 2017 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1
- regenerated from template by package builder

* Tue Nov 14 2017 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1
- regenerated from template by package builder

* Thu Nov 02 2017 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1
- regenerated from template by package builder

* Sun Oct 29 2017 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- regenerated from template by package builder

* Mon Aug 28 2017 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1
- regenerated from template by package builder

* Thu Aug 17 2017 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- initial import by package builder

